LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 07-19-2017, 08:32 AM   #1
RandomTroll
Senior Member
 
Registered: Mar 2010
Distribution: Slackware
Posts: 1,431

Rep: Reputation: 238Reputation: 238Reputation: 238
emacs can't find libMagick package with today's update


I updated packages 2017 July 19 morning; when I run emacs I get:

Quote:
emacs: error while loading shared libraries: libMagickWand-6.Q16.so.4: cannot open shared object file: No such file or directory
I confirmed that I have the latest emacs.
 
Old 07-19-2017, 08:55 AM   #2
RadicalDreamer
Senior Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 1,152

Rep: Reputation: 565Reputation: 565Reputation: 565Reputation: 565Reputation: 565Reputation: 565
Do you have the new webp added to current in the last update?
 
Old 07-19-2017, 09:19 AM   #3
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,802

Rep: Reputation: 713Reputation: 713Reputation: 713Reputation: 713Reputation: 713Reputation: 713Reputation: 713
Quote:
Originally Posted by RadicalDreamer View Post
Do you have the new webp added to current in the last update?
Not the problem just need rebuild with new imagemagick
 
Old 07-20-2017, 12:25 AM   #4
RandomTroll
Senior Member
 
Registered: Mar 2010
Distribution: Slackware
Posts: 1,431

Original Poster
Rep: Reputation: 238Reputation: 238Reputation: 238
I noticed the libwebp package and installed it.

I don't build my own emacs; I used too, because indentation changed in a way that I don't like, but it became too much of a problem keeping old libraries around.

I'm pretty sure Slackware updated its ImageMagick package but not its emacs package.

I can link the current libmagick libraries (emacs links to wanda and core) to the version emacs looks for, which makes emacs run.
 
Old 07-22-2017, 01:16 PM   #5
RandomTroll
Senior Member
 
Registered: Mar 2010
Distribution: Slackware
Posts: 1,431

Original Poster
Rep: Reputation: 238Reputation: 238Reputation: 238
The next day's updates included a new emacs: thanks to the Slackware-persons.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
today version 7 package xmixail Linux - Newbie 5 12-07-2015 03:15 PM
E: Couldn't find package libboost-all & cmake update? pixartist Linux - Newbie 11 02-20-2011 02:17 PM
yum update AND package updater find no updates Berwhale Linux - Newbie 14 11-24-2008 04:43 AM
how to install libMagick.so.5? cpv204 Linux - Newbie 3 11-11-2003 10:16 AM
Can't find package Red Hat Update Agent installed poison5151 Linux - Software 4 04-12-2003 11:40 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 04:31 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration